//全局js，保存部分全局函数
var bgcolor = 'white';                  //默认背景颜色为白色
var openWithApp = true;                 //是否在app内打开
var clientType = 'true';                //Android或者ios                       
var today = getToday();                 //表示最开始的日期
var _mob_system = CheckMobSys();        //获取手机系统，Android或者ios
var controlDigest = 0;                  //控制摘要的参数 0为有摘要，1为无摘要
var localStorageParam = 'mobile';       //控制每个不同的页面保存不同的参数，实现每个页面点击后变色不会互相影响
var reg = /^\s*$/;                      //判断字符串是否为空的正则表达式
var dataEnd = false;                    //判断数据库数据是否加载完
var shownum = '10';                     //显示条数
var typeid = '';                        //类型，资讯 公告 新闻 研报
var code = '';                          //股票代码
var setcode = '';                       //setcode
var font = '';
var fontColor = '';                     //尚未添加自选股这几个字的颜色,默认为蓝色

var locationparm = ParseParmStr(location.search.slice(1));
if(locationparm != ''){
    bgcolor = locationparm['color'] || 'white';
    controlDigest = locationparm['digest'] || 0;
    localStorageParam = locationparm['htmlname'] || 'mobile';
    font = locationparm['font'] || '1';
    fontColor = '#' + locationparm['fontcolor'] ;
}
/******************************************************************/
//检测是否在app内打开
var matches = /tdxios/i.test(navigator.userAgent);
if (matches) {
  clientType = 'ios';
}
matches = /tdxAndroid/i.test(navigator.userAgent);
if (matches) {
  clientType = 'android';
}
if(clientType != 'ios' && clientType!= 'android')
{
    openWithApp = false;
}


var now = new Date();            //获取当日时间 
if(now.getHours() == 23 && now.getMinutes == 59){
    localStorage.clear();
}

var retfunc = 0;

//资讯数据调用
function queryData(callback, funid, params) {
    var funcname = "CWServ.SecuInfo";
    var url = window.location.protocol + "//" + window.location.host + "/TQLEX?Entry=" + funcname;
    var json = {
        "CallName": funid,
        "Params": params,
        "CilentSpecifiedKey": ""
    };
    var bodystr = JSON.stringify(json);
    if(!openWithApp){
        $.ajax({
            url: url,
            type: "POST",
            data: bodystr,
            success: function (data) {
                callback(data);
            },
            error: function (xhr, stat, err) {
                console.log("[AjaxConnect][CallTQL]错误\r\n\r\n" + JSON.stringify(xhr));
                var text;
                try {
                    text = xhr["responseText"];
                    if (typeof (text) != "string" || text == "") {
                        throw "default";
                    }
                }
                catch (err) {
                    //text = "Ajax方式CallTQL错误";
                }
            }
        });
    }
    else{
        function globalBack(data){
            data = data.replace(/\r\n/g, "<br>");
            callback(data);
        }
        CallTQL(globalBack,funid,params);
    }
}

//行情数据请求
function queryhq(callback, datacode,index,setcode){
    var funcname = "HQServ.CombHQ";
    var url = window.location.protocol + "//" + window.location.host + "/TQLEX?Entry=" + funcname;
    var Secu = new Array();
    for(var i=0;i<datacode.length;i++){
        Secu.push({Code:datacode[i],Setcode:setcode[i]});
    }
    var json = {
            "WantCol" : ["CLOSE", "NOW"], 
            "Secu" : Secu, 
            "ExHQFlag": 0
    };
    var bodystr = JSON.stringify(json);
    if(!openWithApp){
        $.ajax({
            url:url,
            type: 'POST',
            data: bodystr,
            success: function(data){
                callback(data,index);
            },
            error: function (xhr, stat, err) {
                console.log("[AjaxConnect][CallTQL]错误\r\n\r\n" + JSON.stringify(xhr));
                var text;
                try {
                    text = xhr["responseText"];
                    if (typeof (text) != "string" || text == "") {
                        throw "default";
                    }
                }
                catch (err) {
                    //text = "Ajax方式CallTQL错误";
                }
                //alert(text);
            }
        });
    }
    else{
        function globalBack(data){
            data = data.replace(/\r\n/g, "<br>");
            callback(data,index);
        }
        CallHQ(globalBack,funcname,bodystr);
    }
}

//对要闻类同一类型界面封装
function ywfz(funcid,zxgstr){
    var i='1';
    var swipe = 0;//专题图片左右滑动位置
    var topicid = new Array();//保存每个条目的跳转id
    var localStorage = window.localStorage;//要闻类点击后标题变色
    var changeClickColor = '';//保存被点击的项目序号
    if(localStorage.getItem(localStorageParam)){changeClickColor = localStorage.getItem(localStorageParam);}
    //判断功能id  如果是要闻，需要添加专题元素
    if(funcid == '101'){
        //添加专题元素
        function ztdata(data){
            var getdata = JSON.parse(data).ResultSets[0].Content;
            for(var i=0;i<getdata.length;i++){
                //添加html元素
                var html = '';
                html+='<li class="imgli">';
                html+=  '<img src="http://info.tdx.com.cn:7080/zxfiles/'+getdata[i][1].match(/\d+-\d+/)[0].replace(/-/,'')+'/'+getdata[i][2]+'/'+getdata[i][3]+'">';
                html+=  '<div class="imgword">';
                html+=      '<span>'+getdata[i][0]+'</span>';
                html+=      '<span class="circle"></span>';
                html+=      '<span class="circle"></span>';
                html+=      '<span class="circle"></span>';
                html+=  '</div>';
                html+='</li>';
                $("#box div:first ul").append(html);
            }

            //页面初始化
            $(".imgli").eq(swipe).fadeIn("slow");
            $(".imgli").eq(swipe).find("span").eq(3).removeClass('circle').addClass('circlefocus');
            var pictureWidth = document.body.clientWidth;
            var pictureHeight = parseInt(pictureWidth/2.3);
            $("#top").css('height',pictureHeight+'px');
            $('.imgli').children('img').css('height',pictureHeight+'px');
            //对图片响应自动更换事件
            changeimg();
            //响应点击事件
            $(".imgli img").click(function() {
                var imgsrc = $(this).prop("src");
                var clickindex = $(this).parent(".imgli").index();
                var myurl = "zt.html"+"?"+"clickindex="+getdata[clickindex][4]+'&imgsrc='+imgsrc;
                var clickTitle = $(this).parent('.imgli').find('span').eq(0).text();
                pagejump(myurl,'',clickTitle,imgsrc,'')
            })
        }
        function ywdata(data){
            data = data.replace(/\r\n/g, "\\r\\n");
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                showloading(1);
                addhtml(data,'#down ul');
            }
        }
        queryData(ztdata,"mzx_topic",['301','0']);
        queryData(ywdata, "mzx_yw",['101','',(i++).toString(),shownum]);
    }
    //自选股界面
    else if(funcid == '102'){   
        function aywdata(data){
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                showloading(1);
                addhtml(data);
            }
        }
        queryData(aywdata, "mzx_yw",[funcid.toString(),zxgstr,(i++).toString(),shownum]);
    }
    //个股行情界面的公告，新闻，研报
    else if(funcid == 'mzx_xggg' || funcid == 'mzx_xgxw' || funcid == 'mzx_xgyb' || funcid == 'mzx_xgzx'){
        var appparam = zxgstr.split('&');
        function bywdata(data){
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                if(i == '2'){
                    dataEnd = true;
                    showloading(3);
                    background();
                    $('#more').remove();
                }
                else{
                    dataEnd = true;
                    showloading(2);
                }
            }
            else{
                for(var i=0;i<data.length;i++){
                    var reg = /[\u4e00-\u9fa5a-zA-Z]{2,4}\（\d{6}\）/g;
                    data[i][0] = data[i][0].replace(reg,'');
                }
                
                showloading(1);
                addhtml(data);
            }
        }
        queryData(bywdata,funcid,[appparam[0],appparam[1],(i++).toString(),appparam[2]]);
    }
    else{
        function cywdata(data){
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                showloading(1);
                addhtml(data);
            }
        }
        queryData(cywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
    }

    //封装添加html函数
    function addhtml(data,addlocation){
        showloading(1);

        addlocation = addlocation || '#box ul';
        var datareg = '';
        for(var i=0;i<data.length;i++){
            data[i][0] = data[i][0].substring(0,35);//限制字数
            //对日期进行处理
            if(data[i][1].split(' ')[0] != today){
                datareg = data[i][1].substring(5,10);
            }
            else{
                datareg = data[i][1].match(/\d+:\d+/);
            }

            topicid.push(data[i][4]);
            if(data[i][2] == null){data[i][2] = '';}
            if(data[i][3] == null || reg.test(data[i][3])  == true){
                var noimg = '';
                noimg+='<li class="noimg">';
                noimg+= '<p>'+data[i][0]+'</p>';
                noimg+= '<p>'+data[i][2]+'</p>';
                noimg+= '<p>'+datareg+'</p>';
                noimg+='</li>';
                $(addlocation).append(noimg);
            }
            else{
                var hasimg = '';
                hasimg+='<li class="hasimg">';
                hasimg+=    '<img src="http://zxfile.tdx.com.cn/zx/'+data[i][1].match(/\d+-\d+/)[0].replace(/-/,'')+'/'+data[i][4]+'/'+data[i][3]+'">';
                hasimg+=    '<div>';
                hasimg+=        '<p>'+data[i][0]+'</p>';
                hasimg+=        '<p>'+data[i][2]+'</p>';
                hasimg+=        '<p>'+datareg+'</p>';
                hasimg+=    '</div>';
                hasimg+='</li>';
                $(addlocation).append(hasimg);
            }
        };

        //手机行情界面加载 更多标签
        if(shownum == 5){
            var html = '';
            html+= '<p id="more">点击查看更多</p>';
            $('#box').append(html);

            //只显示少量条数时（5）禁止滚动条事件，
            $("#more").unbind('click').click(function() {
                //新闻留摘要，其余不留
                if(typeid == 1){
                    var url = 'appIphone.html?typeid='+typeid+'&code='+code+'&setcode='+setcode+'&shownum=20';
                }
                else{
                    var url = 'appIphone.html?typeid='+typeid+'&code='+code+'&setcode='+setcode+'&shownum=20&digest=1';
                }
                pagejump(url,'','GGZX_MORE','','','','资讯');
            })
        }

        if(parseInt(controlDigest)){
            if(funcid == '101'){
                $('#down ul li').each(function() {
                    if($(this).prop('class') == 'noimg'){
                        $(this).find('p').eq(1).hide();
                    }  
                })
            }
            else
            {
                $('#box ul li').each(function() {
                    if($(this).prop('class') == 'noimg'){
                        $(this).find('p').eq(1).hide();
                    }  
                })
            }
        }
        
        //对单个条目的点击事件
        $(addlocation+" li").unbind('click').click(function() {
            //点击后变灰
            if(bgcolor == 'black'){
                $(this).find('p').eq(0).css('color','#5b646e')
            }
            else{
                $(this).find('p').eq(0).css('color','#858585');
            }

            var clickindex = $(this).index();
            changeClickColor= changeClickColor+topicid[clickindex]+' ';
            localStorage.setItem(localStorageParam,changeClickColor);
            //研报需要区别处理，取内容的时候传701
            if(funcid == 'mzx_xgyb'){
                var myurl = "cjzx.html"+"?"+"clickindex="+topicid[clickindex]+'&param=701';
            }
            else{
                var myurl = "cjzx.html"+"?"+"clickindex="+topicid[clickindex]+'&param=101';
            }
            //获取标题和图片并发送
            var clickTitle = $(this).find('p').eq(0).text();
            var clickimg = '';
            if($(this).prop('class') == 'hasimg'){
                clickimg = $(this).find('img').prop('src');
            }
            var clickSubtitle = $(this).find('p').eq(1).text() || '';
            var clickTime = $(this).find('p').eq(2).text();
            pagejump(myurl,'',clickTitle,clickimg,clickSubtitle,clickTime);
        }); 

        background();
    }

    //要闻专题部分对图片响应自动更换事件
    function changeimg() {
        setInterval(function(){
            $(".imgli").eq(swipe).fadeOut("slow");
            if(swipe == 2){swipe=0;}else{swipe++;};
            $(".imgli").eq(swipe).fadeIn("slow");
            $(".imgli").eq(swipe).find("span").siblings().removeClass('circlefocus');
            $(".imgli").eq(swipe).find("span").eq(3-swipe).removeClass('circle').addClass('circlefocus');
        },3000);
    }

    $(window).bind("scroll", function() {
        var _thisProc = arguments.callee;
        var onlyOne = true;
        if(Math.abs(document.documentElement.scrollHeight - document.documentElement.clientHeight - $(window).scrollTop()) < 2){
            if(onlyOne){
                if(!dataEnd){
                    //执行滚动条滚动到底部代码
                    //加载动画
                    showloading(0);
                    background();
                    //请求数据
                    if(funcid == '101'){
                        queryData(ywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
                    }
                    else if(funcid == '102'){
                        queryData(aywdata, "mzx_yw",[funcid.toString(),zxgstr,(i++).toString(),shownum]);
                    }
                    else if(funcid == 'mzx_xggg' || funcid == 'mzx_xgxw' || funcid == 'mzx_xgyb' || funcid == 'mzx_xgzx'){
                        queryData(bywdata,funcid,[appparam[0],appparam[1],(i++).toString(),appparam[2]]);
                    }
                    else if(funcid == "zx_xw_news_zxg"){
                        queryData(zxgzxData,"zx_xw_news_zxg",[htmlType,zxgstr,'0',(i++).toString(),shownum]);
                    }
                    else{
                        queryData(cywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
                    }

                    //处理滚动条滚动到底部逻辑
                    $(window).unbind("scroll");
                    onlyOne = false;
                    setTimeout(function() {
                        $(window).bind('scroll',_thisProc);
                    },500);
                }
                else{
                    showloading(2);
                    background();
                }
            }
        }
    })

    //页面背景设置
    function background(){
        if(bgcolor == 'black'){
            $("#box").css('background-color',"#101419");
            $("li").css({'background-image':'-webkit-linear-gradient(#2a3037 50%,transparent 50%)',
                                  'background-image':'-moz-linear-gradient(#2a3037 50%,transparent 50%)', 
                                  'background-image':'-o-linear-gradient(#2a3037 50%,transparent 50%)',
                                  'background-image':'linear-gradient(#2a3037 50%,transparent 50%)',});
            $(".noimg").each(function() {
                $(this).children('p').eq(0).css('color','#ffffff');
                $(this).children('p').eq(1).css('color','#8d8d8d');
            })
            $(".hasimg").each(function() {
                $(this).find('p').eq(0).css('color','#ffffff');
                $(this).find('p').eq(1).css('color','#8d8d8d');
            });
            $('.showloading').css('color','#ffffff');
            $("#more").css('color','#ffffff');
            //点击返回后变色
            if(changeClickColor){
                var clickindexli = changeClickColor.substring(0,changeClickColor.length-1).split(' ');
                for(var i=0;i<topicid.length;i++){
                    if(clickindexli.indexOf(topicid[i]) != -1){
                        if(funcid == '101' ){
                            $('#down ul').children('li').eq(i).find('p').css('color','#8d8d8d'); 
                        }
                        else{
                            $('ul').children('li').eq(i).find('p').css('color','#8d8d8d');
                        }  
                    }
                }
            }
        }
        else if(bgcolor == 'white'){
            $("#box").css('background-color',"#eef2f6");
            $('.showloading').css('color','black');
            $("#more").css('color','#858585');
            $(".noimg").each(function() {
                $(this).children('p').eq(0).css('color','black');
                $(this).children('p').eq(1).css('color','#858585');
            })
            $(".hasimg").each(function() {
                $(this).find('p').eq(0).css('color','black');
                $(this).find('p').eq(1).css('color','#858585');
            })
            if(changeClickColor){
                var clickindexli = changeClickColor.substring(0,changeClickColor.length-1).split(' ');
                for(var i=0;i<topicid.length;i++){
                    if(clickindexli.indexOf(topicid[i]) != -1){
                        if(funcid == '101'){
                            $('#down ul').children('li').eq(i).find('p').css('color','#858585');
                        }
                        else{
                            $('ul').children('li').eq(i).find('p').css('color','#858585');
                        }  
                    }
                }
            }
        }
    }
}

//主题概念两类封装
function ztgl(funname,param){
    //向box中添加原始html
    var j = 3;//每次加载个数
    var i=0;
    queryData(backdata,funname,param);

    function backdata(data){
        var getdata = JSON.parse(data).ResultSets[0].Content;
        /*ztname     主题名或者概念名
        secucode   股票代码串
        zfday      前五日涨幅
        ztid       主题ID*/
        for(i=0;i<3;i++){
            //添加html
            var html = '';
            html+='<li><span>'+getdata[i][0].slice(0,4)+'</span><span>'+getdata[i][2]+'%</span></li>';
            $("#remen ul").append(html);
        }
        addhtml(getdata);
        $("ul li").css("width",($(window).width()-42)/3+'px');
        //响应滚动条滚动事件
        $(window).scroll(function() {
            if(Math.abs(document.documentElement.scrollHeight - document.documentElement.clientHeight - $(window).scrollTop()) < 2){
                if(i < getdata.length){
                    addhtml(getdata);
                }
            }
        });
    }
    //添加html
    function addhtml(getdata){
        i=j;

        for(var i=j;i<j+21;i++){
            if(i == getdata.length){
                //alert('没有更多了！');
                break;
            }
            else{
                var html='';
                html+='<li><span>'+getdata[i][0].slice(0,5)+'</span><span>'+getdata[i][2]+'%</span></li>';
                $("#ticaiku ul").append(html);
            }
        }
        $("ul li").css("width",($(window).width()-42)/3+'px');
        j+=21;

        //响应点击事件
        //热门题材点击
        $('#remen ul li').unbind('click').on('click',function() {
            var clickindex = $(this).index();
            var myurl = "tcglgyl.html"+"?clickindex="+getdata[clickindex][3]+"&zfday="+getdata[clickindex][2]+"&param="+(parseInt(param[0])+1);
            pagejump(myurl);
        })
        //题材库题材点击
        $('#ticaiku ul li').unbind('click').on('click',function() {
            var clickindex = $(this).index()+3;
            var myurl = "tcglgyl.html"+"?clickindex="+getdata[clickindex][3]+"&zfday="+getdata[clickindex][2]+"&param="+(parseInt(param[0])+1);
            pagejump(myurl)
        });

        background();
    };
    //页面背景设置
    function background(){
        if(bgcolor == 'black'){
            $("#box").css('background-color',"#101419");
            $("#box").children('p').css('color','#ffffff');
            $("#box").children('p').css('background-color',"#1d2228");
            $("#box").children('p').css('border','none');
            $("#box").children("#remen").find('li').css('background-color',"#4a91d6");
            $("#box").children("#ticaiku").find('li').css('background-color',"#233d57");
            $("#box").children("#ticaiku").find('li').css('color',"#ffffff");
            $('a').css('background-color',"#1d2228");
            $('a').css('color',"#5b646e");
        }
        else{
            $("#box").css('background-color',"#eef2f6");
            $("#box").children('p').css('background-color',"#edf6fe");
            $("#box").children('p').css('border','1px solid #d7eafb');
            $('a').css('background-color',"#edf6fe");
            $('a').css('color',"#AEAEAE");
        }
    }
}

//自选股界面回调函数
function queryzxg(data){
    var zxgobj = JSON.parse(data);
    var zxgstr='';
    for(var i=0;i<zxgobj.length;i++){
        if(zxgobj[i].setcode == 0 || zxgobj[i].setcode == 1){
            zxgstr += (zxgobj[i].stockcode+',');
        }
    }
    ywfz(102,zxgstr.substring(0,zxgstr.length-1));
}

//保留小数点后两位的方法
function keeptwo(s){
    var num = new Number(s);
    return num.toFixed(2); 
}

//红涨绿跌函数
function queryColor(data){
    data = parseFloat(data);
    var color = "#ff3d3d";
    if(data <= 0){
        color = "#0bab5b";
    }
    else{
        color = "#ff3d3d";
    }
    return color;
}

/*递归对数组进行排序，n为数组长度，sortType为排序方式，sortArray为需要进
行排序的数组,可以再加个排序方式，由小到大或者由大到小*/
function dgpx(n,sortType,sortArray){
    var temp;
    if(n == 1){
        return;
    }
    for(var i=0;i<n-1;i++){
        if(sortArray[i][sortType]-sortArray[i+1][sortType] <= 0){
            temp = sortArray[i];
            sortArray[i] = sortArray[i+1];
            sortArray[i+1] = temp;
        }
    }
    dgpx(n-1,sortType,sortArray);
}

//计算涨幅
function queryZf(close,now){
    if(now != close){
        return (now - close)/close*100;
    }
    else{
        return 0;
    }
}

//页面跳转
// function pagejump(url,gntype,param1,param2,param3,param4,gnname){
//     var locahref = window.location.protocol + "//" + window.location.host + '/site/MobInfo/html/';
//     //url = encodeURIComponent(url);
//     param1 = encodeURIComponent(param1);
//     param2 = encodeURIComponent(param2);
//     param3 = encodeURIComponent(param3);
//     param4 = encodeURIComponent(param4);
//     gnname = encodeURIComponent(gnname);
//     //判断是否是在app内调用，是的话就传参数，不是的话就跳转url
//     if(openWithApp){
//         url = locahref.concat(url);
//         LocationHref(url,'8',param1,param2,param3,param4,gnname);
//     }
//     else{
//         url = url+'&color='+bgcolor;
//         window.location.assign(url);
//     }
// }
function pagejump(url,gntype,param1,param2,param3,param4,gnname){
    var locahref = 'MobInfo/html/';
    url = locahref.concat(url);
    
    var openParam = {UrlType:"Absolute"};
    var openType = "native";
    var hrefM = url;
    var shareUrl = "http://page.tdx.com.cn:7615/site/"+url+'&color='+bgcolor;
    //var locahref = window.location.protocol + "//" + window.location.host + '/site/MobInfo/html/';
    //url = encodeURIComponent(url);
    // param1 = encodeURIComponent(param1);
    // param2 = encodeURIComponent(param2);
    // param3 = encodeURIComponent(param3);
    // param4 = encodeURIComponent(param4);
    // gnname = encodeURIComponent(gnname);
    //判断是否是在app内调用，是的话就传参数，不是的话就跳转url
    // if(openWithApp){
    //     url = locahref.concat(url);
    //     LocationHref(url,'8',param1,param2,param3,param4,gnname);
    // }
    // else{
    //     url = url+'&color='+bgcolor;
    //     window.location.assign(url);
    // }
    if(_mob_system == 'Android'){
        var param = {OpenName:"", OpenParam:openParam ,OpenType:openType, OpenUrl:hrefM, ShareInfo:{Title:param1,Abstract:param3,ImageUrl:param2, ShareUrl:shareUrl}}
        
        window.tdx_java.TdxWebCall("tdxOpenUrl", JSON.stringify(param), "", "");
    }
    else if(_mob_system == 'IOS'){
        var param = {OpenName:"", OpenParam:openParam, OpenType:openType, OpenUrl:hrefM, ShareInfo:{Title:param1,Abstract:param3,ImageUrl:param2, Time:param4, ShareUrl:shareUrl}};
        var sender = document.createElement('IFRAME');
        var newsrc = "tdx-frame:WebCall;;0;;tdxOpenUrl;;" + JSON.stringify(param)+";;;;";
        sender.setAttribute('src', newsrc);
        document.documentElement.appendChild(sender);
        sender.parentNode.removeChild(sender);
        sender = null;  
    }
}

//字符串参数转json
function ParseParmStr(parmStr) {
    var parms = new Object();
    strs = parmStr.split("&");
    for (var i = 0; i < strs.length; i++) {
        parms[strs[i].split("=")[0]] = strs[i].split("=")[1];
    }
    return parms;
}

/***********************************************************************************************************************/
//检测手机系统
function CheckMobSys() {
    var platform = typeof (navigator.platform) == "undefined" ? "" : navigator.platform.toLowerCase();
    if (platform == "ipod" || platform == "iphone" || platform == "ipad" || platform == "iphone simulator" || platform == "ipad simulator") {
        return "IOS";
    }
    var userAgent = typeof (navigator.userAgent) == "undefined" ? "" : navigator.userAgent;
    if (userAgent.indexOf("Android") > -1) {
        return "Android";
    }
    return "Other";
}

//财经资讯页面改变字体大小函数,1是小字，2是大的
function changeFontSize(size){
    if(typeof (size) == 'string'){size = parseInt(size);}
    size = size || 1;
    if(size == '1'){
        $('#box').children('div').eq(1).css('font-size','16px');
        $('.title').css('font-size','16px');
        $('.content').css('font-size','16px');
    }
    else{
        $('#box').children('div').eq(1).css({'font-size':'18px','line-height':'30px'});
        $('.title').css('font-size','18px');
        $('.content').css('font-size','18px');
    }
}

//时间转换函数'2015-12-21 08:21:12'
function gettime(timestr){
    var time = {
        year: '2015',
        month: '12',
        date: '25',
        hour: '15',
        minute: '29',
        second: '00',
    }
    time.year = timestr.split(' ')[0].split('-')[0];
    time.month = timestr.split(' ')[0].split('-')[1];
    time.date = timestr.split(' ')[0].split('-')[2];
    time.hour = timestr.split(' ')[1].split(':')[0];
    time.minute = timestr.split(' ')[1].split(':')[1];
    time.second = timestr.split(' ')[1].split(':')[2];

    return time;
}

//加载动画函数,param1控制动画的显示/隐藏
function showloading(param){
    if(param == 0){
        $('.showloading').remove();
        var html = '<p class="showloading">加载中...</p>';
        $('#box').append(html);
    }
    else if(param == 1){
        $('.showloading').remove();
    }
    else if(param == 2){
        $('.showloading').remove();
        var html = '<p class="showloading">没有了</p>';
        $('#box').append(html);
    }
    else if(param == 3){
        $('.showloading').remove();
        var html = '<p class="showloading">暂无相关信息</p>';
        $('#box').append(html);
    }
}

//将today的2016-4-27转换为2016-04-27
function getToday(){
    var day = new Date();
    var year = day.getFullYear();
    var month = day.getMonth() + 1;
    var date = day.getDate();
    if(month > 0 && month < 10){
        month = '0' + month;
    }

    if(date > 0 && date < 10){
        date = '0' + date;
    }
    day = year+'-'+month+'-'+date;

    return day;
}

/***********************************************************************************************************************/
//IOS函数桥接
var IOS_Bridge = {
    callbacksCount: 1,
    callbacks: {},
    resultForCallback: function resultForCallback(callbackId, resultArray) {
        try {
            var callback = IOS_Bridge.callbacks[callbackId];
            if (!callback) {
                return;
            }
            callback.apply(null, resultArray);
        } catch (e) {
            alert(e);
        }
    },

    //functionName: 调用函数名称
    //args:json 格式参数
    //callback 回调函数，可有可无
    //mob_funcname 类似PUL 或 CCS
    call: function call(functionName, args, funcID, frameID, callback, mob_funcname) {
        var hasCallback = callback && typeof callback == "function";
        var callbackId = hasCallback ? IOS_Bridge.callbacksCount++ : 0;
        if (hasCallback) {
            IOS_Bridge.callbacks[callbackId] = callback;
        }
        var iframe = document.createElement("IFRAME");
        iframe.setAttribute("src", "js-frame:" + functionName + ";;" + callbackId + ";;" + frameID + ";;" + funcID + ";;" + args + ";;" + callback + ";;" + mob_funcname);
        document.documentElement.appendChild(iframe);
        iframe.parentNode.removeChild(iframe);
        iframe = null;
    }
};

//移动平台调用
//callback_name： 回调函数名
//funid： 功能号
//_parm： 请求参数对象 设置好的IXContent对象
//_url： web端调用ajax 请求地址 （可送''）
//_webtype：web端调用ajax 请求类型 web用属必送字段 post/get
//_webdatatype：web端调用ajax 数据传输类型 web用属必送字段 text/json/....  如果是ix 字符串，则数据传输为text
//SPEC： ix_js ToRequest 请求设置（可送''）
//STRUCT： ix_js ToRequest 请求设置（可送''）
//_mob_system： 移动平台送 系统标示 （非移动平台送''）
//_mob_formid： 移动平台用框架ID （非移动平台送''）
//_mob_taget： Android 平台用，如交易送'JY','TP'
//_mob_ard_funcname：Android 平台用，后台功能模块名称 如'FuncID:'
//_readjson_id:读取的接口字段id的json数组
function Win_CallTQL(callback_name, funid, _parm, _url, _webtype, _webdatatype, SPEC, STRUCT, _mob_system, _mob_formid, _mob_taget, _mob_ard_funcname) {
    if (_mob_system == "IOS") {
        IOS_Bridge.call("Get_Ret", _parm.Value(), funid, _mob_formid, callback_name, _mob_ard_funcname);
    }
    else {
        var ardfun = _mob_ard_funcname + ':' + funid;
        window.tdx_java.Android_SendData(_mob_formid, ardfun, _mob_taget, _parm.Length(), _parm.Value(), callback_name);
    }
}

//交易应答
//formid：框架ID
//funcid：功能号ID
//flagtype：0：成功 ，1：失败
//_data：返回的json 数据
//callbackname : 回调函数
function Get_Ret(formid, funcid, flagtype, _data, callbackname) {
    window.frames["Main_Frame"].Cmd_cbk(formid, funcid, flagtype, _data, callbackname);
}
function Cmd_cbk(formid, funcid, flagtype, _data, callbackname) {
    callbackname(formid, funcid, flagtype, _data);
}

//定义 IXContent
var IXContent = function () {
    this.ret = "";
    this.retcnt = [];
    this.retlength = 0;
};
IXContent.prototype = {
    Set: function (k, v) {
        if ($.trim(k) == "") {
            //alert("当前键对获取为NULL，不予录入，请输入键值对");
            return;
        }
        else {
            if (v == undefined) {
                v = "";
            }
            if (typeof (v) == 'string') {
                this.retcnt.push("{\"" + k + "\":" + "\"" + v + "\"}");
            }
            else if (typeof (v) == 'number') {
                this.retcnt.push("{\"" + k + "\":" + v + "}");
            }
            else {
                var _cnts = [];
                $.each(v, function (n, m) {
                    if (typeof (m) == 'string') {
                        _cnts.push("\"" + k + "\":" + "\"" + v + "\"");
                    } else {
                        _cnts.push("\"" + k + "\":" + v);
                    }
                });
                this.retcnt.push("\"" + k + "\":{" + this.retcnt.join(',') + "}");
            }
            this.retlength++;
        }
    },

    Length: function () {
        return this.retlength;
    },

    Value: function () {
        return "[" + this.retcnt.join(',') + "]";
    }
};

/***********************************************************************************************************************/
//页面跳转传参
function LocationHref(href,gntype,param1,param2,param3,param4,gnname) {
    var gntype = gntype || '8';//没用的传8
    var gnname = gnname || '';
    var gnid = "0";
    var webpage = href;
    var param1 = param1 || '0';//没用的传空
    var param2 = param2 || '0';//没用的传空
    var param3 = param3 || '0';//没用的传空
    if (_mob_system == 'IOS') {
        var ix = new IXContent();
        ix.Set('gntype', gntype);
        ix.Set('gnid', gnid);
        ix.Set('gnname', gnname);
        ix.Set('webpage', webpage);
        ix.Set('param1', param1);
        ix.Set('param2', param2);
        ix.Set('param3', param3);
        ix.Set('param4', param4);
        IOS_Bridge.call('Get_Ret', ix.Value(), '', '');
    }
    else {
        var androidJson = {
            'param1': param1,
            'param2': param2,
            'param3': param3,
            'param4': param4
        }
        androidJson = JSON.stringify(androidJson);
        window.tdx_java.Android_WebMenu(gntype, gnname, gnid, webpage, androidJson, '', '');
    }
}

function sendData(href,gntype,param1,param2,param3,param4,gnname) {
    var gntype = gntype || '8';//没用的传8
    var gnname = gnname || '';
    var gnid = "0";
    var webpage = href;
    var param1 = param1 || '0';//没用的传空
    var param2 = param2 || '0';//没用的传空
    var param3 = param3 || '0';//没用的传空
    // if (_mob_system == 'IOS') {
    //     var ix = new IXContent();
    //     ix.Set('gntype', gntype);
    //     ix.Set('gnid', gnid);
    //     ix.Set('gnname', gnname);
    //     ix.Set('webpage', webpage);
    //     ix.Set('param1', param1);
    //     ix.Set('param2', param2);
    //     ix.Set('param3', param3);
    //     ix.Set('param4', param4);
    //     IOS_Bridge.call('Get_Ret', ix.Value(), '', '');
    // }
    // else {
    //     window.tdx_java.Android_WebMenu(gntype, gnname, gnid, webpage, param1, param2, '');
    // }

    var openParam = {ZQSETCODE: param1,ZQCODE:param2,ZQNAME:gnname}

    if(_mob_system == 'Android'){
        var param = {OpenID:"HQGG", OpenParam:openParam}
        
        window.tdx_java.TdxWebCall("tdxOpenUrl", JSON.stringify(param), "", "");
    }
    else if(_mob_system == 'IOS'){
        var param = {OpenID:"HQGG", OpenParam:openParam};
        var sender = document.createElement('IFRAME');
        var newsrc = "tdx-frame:WebCall;;;;tdxOpenNativeModule;;" + JSON.stringify(param)+";;";
        sender.setAttribute('src', newsrc);
        document.documentElement.appendChild(sender);
        sender.parentNode.removeChild(sender);
        sender = null;  
    }
}



