//项目属性配置(现金产品登记)
mob_form_xyedtz = {
    //表单控件布局
    "tools": [
        [
            { "text": ["现融资融券额度"] },
            { "text": ["","F251"]}
        ],
        [
            { "text": ["可用额度"] },
            { "text": ["", "F254"] }
        ],
        [
            { "text": ["可申请额度上限"] },
            { "text": ["", "F255"] }
        ],
        [
            { "text": ["申请新额度"] },
            { "input": ["", "F1217", [], "", "输入金额"] }
        ],
        [
            { "button": ["确定", "submit", [], "RespondTj_wdl"] }
        ]
    ],

    //表格属性
    "table": {
        //表格列名
        "heads": [
        ],

        //表格每一列单元格显示的字段及内容表达
        "cells": [
        ],

        //判断字体颜色的辅助字段名
        "aids": {
            "N": "F949",    //现价
            "C": "F946",    //比较颜色法辅助字段名，与昨收比较
            "P": "",    //关联颜色法辅助字段名，与浮动盈亏
            "O": "" //关联颜色法辅助字段名，与买卖撤关联
        }
    }
};


SetBDYCXLoadForm = function(){
    try {
        //扩展查询
        if (typeof (Controller) != "object") {
            ReadJavaScript("../../trade/Controller/Controller.js", function () {
                Controller.send = function (n, json) {
                    var funcid = "";
                    var ix = new IXContent();
                    switch (n) {
                        case 0:
                            funcid = "3292"; //功能号
                            ix.Set("F110", json["wtfs"]);  //委托方式
                            ix.Set("F113", "0");  //委托方式
                            break;
                        default:
                            break;
                    }
                    return [funcid, ix];
                };

                Controller.call([0], function (n, jsonData) {
                    field = [
                        "http://www.ghzq.com.cn/ghzq/ghdown/dzqmyds.html",
                        "",
                        jsonData[2]["F251"],
                        jsonData[2]["F254"],
                        jsonData[2]["F255"],
                    ];
                    $('#F251').text(jsonData[2]["F251"])
                    $('#F254').text(jsonData[2]["F254"])
                    $('#F255').text(jsonData[2]["F255"])
                });
            });
        }
    }
    catch (err) {
        //alert(err);
    }
}



RespondTj_wdl = function(){
    var inputVal = $('input').val();

    if(!inputVal || !inputVal.trim()){
        alert("请输入申请额度");
    }
    else{
        if(!$('#F251').text() || !$('#F251').text().trim()) {
            alert('未查询到现融资融券额度');
            return;
        }
        respondTZ(inputVal);
    }

}
respondTZ=function (val) {
    var changeVal = val - $('#F251').text()
    var flag;
    if(changeVal >= 0) {
        flag = confirm("新申请的额度："+val+"元\r\n"+"相对原额度增加："+changeVal+"元\r\n"+"您确认要提交该额度调整申请吗？")
    }else {
        flag = confirm("新申请的额度："+val+"元\r\n"+"相对原额度减少："+Math.abs(changeVal)+"元\r\n"+"您确认要提交该额度调整申请吗？")
    }
    if(flag) {
        try {
            //扩展查询
            Controller.send = function (n, json) {
                var funcid = "";
                var ix = new IXContent();
                switch (n) {
                    case 1:
                        funcid = "3292"; //功能号
                        ix.Set("F110", json["wtfs"]);  //委托方式
                        ix.Set("F113", "2");  //委托方式
                        ix.Set("F1217", val);  //委托方式
                        break;
                    default:
                        break;
                }
                return [funcid, ix];
            }

            Controller.call([1], function (n, jsonData) {
                if(!jsonData[2]) {
                    alert(jsonData)
                }else {
                    alert(jsonData[2]["F149"])
                }
                field = [
                    "http://www.ghzq.com.cn/ghzq/ghdown/dzqmyds.html",
                    "",
                    jsonData[2]["F149"],
                ];
                location.reload()
            });

        }
        catch (err) {
            //alert(err);
        }
    }
}




