﻿//交易发送协议(港股-我的申请)
GetSendData = function(n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //查询协议
            funcid = "1116"; //功能号
            ix.Set("F110", json["wtfs"]); //委托方式
            ix.Set("F126", ""); //开始日期
            ix.Set("F127", ""); //终止日期
            ix.Set("F1207", "P"); //起始序号
            break;
        case 1: //撤单协议
            funcid = "212"; //功能号
            ix.Set("F110", json["wtfs"]); //委托方式
            ix.Set("F140", json["F140"]); //证券代码
            ix.Set("F144", json["F193"]); //委托数量
            ix.Set("F1168", json["F303"]); //融资总数
            ix.Set("F1186", json["F1186"]); //融资比例
            ix.Set("F212", json["F212"]); //申请费用
            ix.Set("F234", "C"); //类型
            ix.Set("F146", json["F155"]); //委托编号
            break;
        case 2: //返回撤单改单操作所需字段名(可改单标志、可撤单标志)
            return ["F239", ""];
        case 3: //返回改单所需字段名(证券代码、申请编号)
            return ["F140", "F155"];
        default:
            break;
    }
    return [funcid, ix];
}

RespondCd = function(a) {
	var b = dataCache.data,
		c = GetSendData(2),
		d = GetJudgeFieldValue(c[1]),
		e = d[0],
        f = d[1];
	if ("string" == typeof e && "" != e && "string" == typeof b[0][e] && b[a][e] != f) return void GlobalAlert({
		content: "该委托不可撤单"
    });
    if (b[a]['F737'] == '融资申购') {
        alert('融资申购不允许网上撤单，请联系客服')
        return
    }
    var g = [a],
        h = "该委托需要提交，请确认";
	"function" == typeof GetEntrustSubmitPrompt && (h = GetEntrustSubmitPrompt({
		text: h,
		data: g
	})), GlobalConfirm({
		content: h,
		ok: function() {
			cntCache = [0, 0, 0, "", ""], arrCache = [a], ListenListEntrust() || SendCancel()
		}
	})
}

 CancelAll =  function() {
	if (!CheckLoading() && "object" == typeof dataCache && "object" == typeof dataCache.data && dataCache.data.length > 2) {
        var c= false
        for (var a = [], b = 2; b < dataCache.data.length; b++) {
            if (dataCache.data[b]['F737'] == '融资申购' || dataCache.data[b]['F5539'].indexOf('ACCEPT') >-1) {
                c = true 
            } else {
                a.push(b);
            }
        }
        // if (c) {
        //     alert('提示：融资申购不允许网上撤单，请联系客服')
        // }
		CancelCall(a)
	}
}

CancelCall = function (a) {
	var b = dataCache.data,
		c = GetSendData(2),
		d = GetJudgeFieldValue(c[1]),
		e = d[0],
		f = d[1];
	if ("string" == typeof e && "" != e && "string" == typeof b[0][e]) {
		for (var g = [], h = 0; h < a.length; h++) {
			var i = a[h];
			b[i][e] == f && g.push(i)
		}
		a = g
    }
	if ("object" == typeof a && a.length > 0) {
        var j = "有" + a.length + "笔委托需要提交，请确认。\r\n融资申购不允许网上撤单，请联系客服。";
		"function" == typeof GetEntrustSubmitPrompt && (j = GetEntrustSubmitPrompt({
			text: j,
			data: a
		})), GlobalConfirm({
			content: j,
			ok: function() {
				cntCache = [0, 0, 0, "", ""], arrCache = a, ListenListEntrust() || SendCancel()
			}
		})
	}
}
 ListenListComplete = function() {
    "function" == typeof SetBGYCXLoadList && SetBGYCXLoadList()
    var b = dataCache.data;
    for (var i = 2; i < dataCache.data.length; i++) {
        if (dataCache.data[i]['F737'] == '融资申购' || dataCache.data[i]['F5539'].indexOf('ACCEPT') >-1) {
            $('#list_div_row_'+i+'_check').attr('disabled', 'disabled')
        }
    }

}