﻿//交易发送协议(港股-改单)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //查询协议
            funcid = "1102";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F1207", "P");   //起始序号
            //ix.Set("F126", json["startDate"]);  //开始日期
            //ix.Set("F127", json["endDate"]);    //终止日期
            break;
        case 1: //改单协议
            funcid = "206"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F146", json["F146"]);   //委托编号
            ix.Set("F130", json["F130"]);   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F145", json["input0"]); //委托价格
            ix.Set("F133", "0");    //交易单位
            ix.Set("F144", json["input1"]); //委托数量
            ix.Set("F166", json["F130"]);   //委托方式
            ix.Set("F223", json["F144"]);   //原委托数量
            ix.Set("F224", json["F145"]);   //原委托价格
            ix.Set("F732", json["F732"]);   //未成交数量
            ix.Set("F516", "5");    //成交属性
            ix.Set("F135",window["keypassword"]);//密码替换串

            break;
        case 2: //返回改单表格数据筛选所需字段名(可改单标志)
            return ["F239"];
        case 3: //返回改单提交所需字段名(证券代码、证券名称、价格输入框、数量输入框)
            return ["F140", "F141", "input0", "input1"];
        default:
            break;
    }
    return [funcid, ix];
}

//表单已查询
SetBDYCXLoadForm = function () {
    $("#input0,#input1").attr("type", "number");
    $("#input0,#input1").keyup(function (event) {
        var value = $(this).val();
        var result = "";
        var pn = 0;
        for (var i = 0; i < value.length; i++) {
            if (!isNaN(value[i]) || value[i] == ".") {
                if (value[i] == ".") {
                    pn += 1;
                    if (pn == 1) {
                        result += value[i];
                    }
                }
                else {
                    result += value[i];
                }
            }
        }
        $(this).val(result);
    });
}