var g_Paltform='Win';
var g_IsNew = true; //是否新建指标
var g_Index = {};
var INDEX_OTHER = 15; //用户指标

function RN2BR(str){
	str = str.replace(/\r\n/g, "<br>").replace(/\n/g, "<br>").replace(/\r/g, "<br>"); //换行
	str = str.replace(/\t/g, "");
	return str;
}
function BR2RN(str){
	str = str.replace(/<br>/g, "\n");
	return str;
}

function setParam(){
	if( g_IsNew ){
		g_Index.nSet = 0;
		g_Index.nType = INDEX_OTHER;
		g_Index.lpszDefTxt="";
		g_Index.acCode = $('#Name input').val().toUpperCase();
		g_Index.acName = $('#Des input').val();
		if( g_Index.acCode.length == 0 ){alert('公式名称不能为空');return;}
		if( g_Index.acCode.length >= 7 ){alert('公式名称长度不能超过7个');return;}
		if( g_Index.acName.length >= 25 ){alert('公式描述长度不能超过25个');return;}
	}
	g_Index.aPara = [];
	var ParamOK = true;
	$('#Param .ParamRow').each(function(){
		var paramname = $(this).find('input.name').val();
		if( paramname.length > 0 ){
			if( paramname.length > 8 ){alert('参数'+paramname+'名称长度不能超过8个');ParamOK=false;return false;}
			if( paramname.substring(0,1)>='1' && paramname.substring(0,1)<='9'){alert('参数'+paramname+'不能以数字开头');ParamOK=false;return false;}
			var min = parseFloat($(this).find('input.min').val());
			var max = parseFloat($(this).find('input.max').val());
			var def = parseFloat($(this).find('input.def').val());
			if( isNaN(min) || isNaN(max) || isNaN(def) ) {alert('参数值必须是数字');ParamOK=false;return false;}
			if( max <= min ){alert('参数'+paramname+'最大值要大于最小值');ParamOK=false;return false;}
			if( def < min || def > max){alert('参数'+paramname+'缺省值不能大于最大值或不能小于最小值');ParamOK=false;return false;}
			var paramobj = {};
			paramobj.acParaName = paramname.toUpperCase();
			paramobj.nMin = min;
			paramobj.nMax = max;
			paramobj.nStep = 1;
			paramobj.nDefault = def;
			g_Index.aPara.push(paramobj);

		}
	});
	if( !ParamOK ) return;
	g_Index.nParaNum = g_Index.aPara.length;
	g_Index.lpszHelp = $('#Help textarea').val();

	if(g_IsNew){ //简称acCode
		var objParam = {};
		objParam.zbFunc = "checkAcCode";
		objParam.acCode = g_Index.acCode;
		var strParam = JSON.stringify(objParam);
		if (g_Paltform=='Andorid'){
			window.tdx_java.TdxWebCall("tdxBjzb",strParam,"OnCheckacCode","");
		}
		else if(g_Paltform=='IOS'){
			IOS_Bridge.TdxWebCall("tdxBjzb",strParam,"OnCheckacCode","");
		}
		return;
	}

	var objParam = {};
	objParam.zbFunc = "setParam";
	objParam.zbInfo = g_Index;
	objParam.result = 1;
	var strParam = JSON.stringify(objParam);
	if (g_Paltform=='Andorid'){
		window.tdx_java.TdxWebCall("tdxBjzb",strParam,"","");
	}
	else if(g_Paltform=='IOS'){
		IOS_Bridge.TdxWebCall("tdxBjzb",strParam,"","");
	}
}
function OnCheckacCode(tdxPageID,strFuncName,strErrNo,strResultCont){
	var Obj = {};
	try{
		Obj=JSON.parse(strResultCont);
		if(!Obj)return;
	}
	catch(err){
		return;
	}
	if(!Obj.result){
		alert(Obj.msg);
		return;
	}
	var objParam = {};
	objParam.zbFunc = "setParam";
	objParam.zbInfo = g_Index;
	objParam.result = 1;
	var strParam = JSON.stringify(objParam);
	if (g_Paltform=='Andorid'){
		window.tdx_java.TdxWebCall("tdxBjzb",strParam,"","");
	}
	else if(g_Paltform=='IOS'){
		IOS_Bridge.TdxWebCall("tdxBjzb",strParam,"","");
	}
}

function OnInit(tdxPageID,strFuncName,strErrNo,strResultCont){
	strResultCont = RN2BR(strResultCont)
	try{
		g_Index=JSON.parse(strResultCont);
		if(!g_Index)return;
	}
	catch(err){
		return;
	}
	g_Index.lpszDefTxt = BR2RN(g_Index.lpszDefTxt);
	g_Index.lpszHelp = BR2RN(g_Index.lpszHelp);

	if(g_Index.nDrawMode & 2){
		$('#Type li').text("副图");
	}
	if(g_Index.acCode.length > 0){
		g_IsNew = false;
		g_Index.IsNew = 0;
		$('#Name input').val(g_Index.acCode);
		$('#Name input').attr("disabled","disabled");
		$('#Des input').val(g_Index.acName);
		for(var i=0; i<g_Index.nParaNum && i<4; i++){
			$('#Param input.name').eq(i).val(g_Index.aPara[i].acParaName);
			$('#Param input.min').eq(i).val(g_Index.aPara[i].nMin);
			$('#Param input.max').eq(i).val(g_Index.aPara[i].nMax);
			$('#Param input.def').eq(i).val(g_Index.aPara[i].nDefault);
		}
		$('#Help textarea').val(g_Index.lpszHelp);
	} 
	else{
		g_IsNew = true;
		g_Index.IsNew = 1;
		g_Index.nIndexNo = -1;
	}
}

$(function() {
	try{
		g_Paltform=Check_IOS();
	}
	catch(e){
		g_Paltform='Win';
	}
	//g_Paltform='Win';

	var objParam = {};
	objParam.zbFunc = "getZbInfo";
	var strParam = JSON.stringify(objParam);
	if (g_Paltform=='Andorid'){
		window.tdx_java.TdxWebCall("tdxBjzb",strParam,"OnInit","");
	}
	else if(g_Paltform=='IOS'){
		IOS_Bridge.TdxWebCall("tdxBjzb",strParam,"OnInit","");
	}
});