define(["jquery", "selfcnt", "common"], function(require, exports, module) {
    var common = require("common")
    var selfcnt = require("selfcnt")
    var rec_id = {}
    var curSubIndex = "0"
    var scroll = new common.txScroll({}, { "id": "selcontent","upCall":query,"click":true});
    scroll._init()
    var oUl = $("#options_box")
    var oInput = oUl.prev();
    var globCfg={"1":"经济指标","2":"活动预告","3":"财经会议","4":"节日休市","5":"央行动态"}
    oUl.children('li').bind("click", function() {
        if ($(this).hasClass('open_selected')) {
            controlshow(oUl);
            return;
        }
        oUl.children('.open_selected').removeClass('open_selected')
        $(this).addClass('open_selected')
        oInput.text($(this).text())
        controlshow(oUl);
        scroll._setInit({"page":1,"hasUp":false})
        rec_id ={}
        common.setTsInfo(false)
        $('#bodybox tr').remove()
        scroll.IScroll.refresh();
        scroll.IScroll.scrollTo(0,0);
        curSubIndex = $(this).attr("value")
        query(1)
    })
    $("#select_info_box").bind("click",function(){
        controlshow(oUl)
    })
    $(document).bind("click.select", function(e) {
        var osel = $(e.target).closest("div.select_box");
        if(osel.length == 0){
            $("#select_info_box").removeClass("tag_select_open")
            $("#select_info_box").addClass("tag_select_close")
            $("#options_box").css("display","none")
            $("#select_info_box").css("border-bottom-width","1px")
        }
    });
    function controlshow(oUl) {
        var oInput = oUl.prev()
        if (oInput.hasClass("tag_select_open")) {
            oInput.removeClass("tag_select_open")
            oInput.addClass("tag_select_close")
            oUl.css("display", "none")
            oInput.css("border-bottom-width", "1px")
        } else {
            oInput.removeClass("tag_select_close")
            oInput.addClass("tag_select_open")
            oUl.css("display", "")
            oInput.css("border-bottom-width", "0px")
        }
    }
    query(1)
    function query(page) {
        selfcnt.send("phsj_gg_cjrl", [curSubIndex, page + ''], function(data) {
            data = selfcnt.seftFmtResult(data)
            if (data.ErrorCode == 0) {
                if (data.tables.length == 2 && checkdata(data.tables[1].rows[0]) == 1) {
                    var trows = []
                    if(scroll.opts.page == 1 && data.tables[0].rows.length == 0){
                        scroll._setInit({"hasUp":false})
                        common.setTsInfo(true)
                        scroll.upAction()
                        return
                    }
                    $.each(data.tables[0].rows,function(index,row){
                        if(rec_id[row["rec_id"]] !=1)
                            trows.push(row)
                        rec_id[row["rec_id"]] =1
                    })
                    if(data.tables[0].rows.length != 20)
                        scroll._setInit({"page":scroll.opts.page+1,"hasUp":false})
                    else
                        scroll._setInit({"page":scroll.opts.page+1,"hasUp":true})
                    var shtml = setcjrl(trows,data.tables[1].rows[0]["curh"])
                    $(shtml).appendTo($("#bodybox"))
                    scroll.upAction()
                }
            }
        },{"reqtype":"cwserv"})
    }
    function checkdata(row){
        if(scroll.opts.page == common.fmtIt(row["page"]) && curSubIndex == row["iflag"])
            return 1
        return 0
    }
    function setcjrl(rows,cur,ntype){
        var atb = []
        var scdte = '',
            sshow = '';
        $.each(rows,function(index,row){
            atb.push('<tr>')
            if(scdte == row["tT002"])
                sshow = '&nbsp'
            else {
                sshow = row["tT002"];
                scdte = row["tT002"];
            }
            if(row["tT002"] == cur){
                atb.push('<td width="60" valign="top" class="cdte">'+sshow+'</td><td  valign="top" width="20" class="curcicle">&nbsp</td><td valign="top" width="100%">')
            } else {
                atb.push('<td width="60" valign="top">'+sshow+'</td><td  valign="top" width="20">&nbsp</td><td valign="top" width="100%">')
            }
            atb.push("<ul>")

            atb.push(getgbz(row))
            atb.push(gettitle(row))
            atb.push("</ul></td></tr>")
        })
        return atb.join("")
    }
    function getgbz(row){
        return '<li><div class="txinfo tzleft" >'+ gettype(row["T001"])+'</div><div class="txinfo tzright" >重要度&nbsp<span class="zyd">'+ getzyd(row["T006"])+'</span></div></li>'

    }
    function  gettype(sid) {
        return globCfg[sid]||""
    }
    function gettitle(row){
        var strx = ''
        if(row["T003"] == "中国大陆"){
            row["T003"] = "中国"
            strx = "tzcur"
        }
        var n = row["T003"].length
        if(row["T004"].substring(0,n) == row["T003"])
            return '<li class="'+strx+'">'+row["T004"]+'</li>'
        else
            return '<li class="'+strx+'">'+row["T003"]+":"+row["T004"]+'</li>'

    }
    function getzyd(zyd){

        var strx = ''
        var n  = parseInt(zyd)
        if(isNaN(n))
            n = 0
        for(var i=0;i<n;i++){
            strx += "★"
        }
        return strx;

    }


})