define(["jquery", "selfcnt", "common"], function (require, exports, module) {
    var common = require("common")
    var selfcnt = require("selfcnt")
    var rq = ''
    var repeat = {}
    var curindex = "0"
    var scroll = new common.txScroll({}, {"id": "selcontent", "upCall": query})
    
    scroll._init()
    $(".nav2 ul li").bind("click", function () {
        if ($(this).hasClass("active"))
            return
        else {
            $(".nav2 ul li").removeClass("active")
            $(this).addClass("active")
        }
        initparam()
        query()
    })

    selfcnt.send("phsj_gg_qztj", ["0", "0", '1'], function (data) {
      
        data = selfcnt.seftFmtResult(data)
        
        if (data.ErrorCode == 0 && data.tables[0].rows.length != 0) {
            new common.txSel({
                "field": "T001",
                "rows": data.tables[0].rows,
                "fnCall": function (txt, val) {
                    rq = txt;
                    initparam()
                    query()

                }
            })
        }
    },{"reqtype":"cwserv"})
    function query() {
        if (rq.length == 0)
            return
        curindex = getAindex();
        selfcnt.send("phsj_gg_qztj", [curindex + "", rq, scroll.opts.page + ''], function (data) {

            data = selfcnt.seftFmtResult(data)
            if (data.ErrorCode == 0 && data.tables.length == 2) {
                var crow = data.tables[1].rows[0];

                if (parseInt(crow["page"]) == scroll.opts.page && crow["ntype"] == curindex && crow["jyr"] == rq) {
                    update(data.tables[0].rows)
                }

            }
        })
    }

    function getAindex() {
        var inx = -1
        $(".nav2 ul li").each(function (i, oNode) {
            if ($(oNode).hasClass("active")) {
                inx = $(this).attr("attr");
                console.log(inx)
            }
        })
        return inx
    }

    function initparam() {
        repeat = {}
        scroll._setInit({"page": 1, "hasUp": false})
        common.setTsInfo(false)
        $("#bodybox").empty()
        scroll.IScroll.refresh();
        scroll.IScroll.scrollTo(0, 0);
    }

    function update(cache) {
        var atr = []
        var trows = []
        if (scroll.opts.page == 1 && cache.length == 0) {
            scroll._setInit({"hasUp": false})
            common.setTsInfo(true)
            scroll.upAction()
            return
        }
        $.each(cache, function (index, row) {
            if (repeat[row["rec_id"]] != 1)
                trows.push(row)
            repeat[row["rec_id"]] = 1
        })
        if (cache.length != 20)
            scroll._setInit({"page": scroll.opts.page + 1, "hasUp": false})
        else
            scroll._setInit({"page": scroll.opts.page + 1, "hasUp": true})
        var tbodyattr = [
            {
                "class": "txtcenter", "width": 104, "field": "name", "fmtFn": function (v, row) {
                    return '<p style="line-height: 18px;text-align:center">' + common.getsixcode(row["name"]) + '</p>' + '<p style="line-height: 18px;text-align:center">' + row["code"] + '</p>'
                }
            },
            {"class": "txtcenter", "width": "52%", "field": "fxe"},
            {"class": "txtcenter", "width": "48%", "field": "jjbd", "fmtFn": common.fmtTwo, "type": "zdf"},
            {"class": "txtcenter", "width": 70, "field": "zb", "fmtFn": common.fmtTwo}
        ]


        var otrs = $(common.getTableBody(trows, tbodyattr))
        $("#bodybox").append(otrs);
        common.bindGp(function() {
            otrs.unbind('click').bind('click', function() {
                selfcnt.goGpDetail($(this).attr("gp").split(";"))
            })
        })
        scroll.upAction()

    }

})