define(["jquery", "selfcnt", "common"], function (require, exports, module) {
    var common = require("common")
    var selfcnt = require("selfcnt")
    var pj = ''
    var repeat = {}
    var curindex = "0"
    var scroll = new common.txScroll({}, {"id": "selcontent", "upCall": query})
    scroll._init()
    var mapdICT = {"买入":"mr","增持":'zc',"跑赢大市":'pyds',"持有":'cy',"跑输大市":'psds',"减持":'jc',"沽售":'gs'}
    $(".nav2 ul li").bind("click", function () {
        if ($(this).hasClass("active"))
            return
        else {
            $(".nav2 ul li").removeClass("active")
            $(this).addClass("active")
        }
        curindex = getAindex();
        if (curindex == "0") {
            $("#selectbox").css("display", "none")
        } else {
            $("#selectbox").css("display", "")
        }
        initparam()
        query()
    })
    new common.txSel({
        "field": "T002",
        "rows": [{"T002": "买入"}, {"T002": "增持"}, {"T002": "跑赢大市"}, {"T002": "持有"}, {"T002": "跑输大市"}, {"T002": "减持"}, {"T002": "沽售"}],
        "fnCall": function (txt, val) {
            pj = mapdICT[val] || "mr";
            initparam()
            query()

        }
    })
    function query() {
        if (pj.length == 0)
            return

        selfcnt.send("phsj_gg_thpj", [curindex + "", pj, scroll.opts.page + ''], function (data) {
            data = selfcnt.seftFmtResult(data)
            if (data.ErrorCode == 0 && data.tables.length == 2) {
                var crow = data.tables[1].rows[0];
                if (parseInt(crow["page"]) == scroll.opts.page && crow["stype"] == curindex && crow["pj"] == pj) {
                    update(data.tables[0].rows)
                }

            }
        },{"reqtype":"cwserv"})
    }

    function getAindex() {
        var inx = -1

        $(".nav2 ul li").each(function (i, oNode) {
            if ($(oNode).hasClass("active")) {
                inx = $(this).attr("attr");
            }
        })
        return inx
    }

    function initparam() {
        repeat = {}
        scroll._setInit({"page": 1, "hasUp": false})
        $("#bodybox").empty()
        common.setTsInfo(false)
        scroll.IScroll.refresh();
        scroll.IScroll.scrollTo(0, 0);
    }

    function update(cache) {
        var atr = []
        var trows = []
        if (scroll.opts.page == 1 && cache.length == 0) {
            scroll._setInit({"hasUp": false})
            common.setTsInfo(true)
            scroll.upAction()
            return
        }
        $.each(cache, function (index, row) {
            if (repeat[row["rec_id"]] != 1)
                trows.push(row)
            repeat[row["rec_id"]] = 1
        })
        if (cache.length != 20)
            scroll._setInit({"page": scroll.opts.page + 1, "hasUp": false})
        else
            scroll._setInit({"page": scroll.opts.page + 1, "hasUp": true})
        var tbodyattr = [
            {"class": "txtcenter", "width": 60, "field": "decladate"},
            {"class": "txtcenter", "width": 104, "field": "name","fmtFn": common.getsixcode},
            {"class": "txtcenter", "width": "50%", "field": "Rating"},
            {"class": "txtcenter", "width": "50%", "field": "RatingOrg"}
        ]

        var otrs = $(common.getTableBody(trows, tbodyattr))
        $("#bodybox").append(otrs);
        common.bindGp(function() {
            otrs.unbind('click').bind('click', function() {
                selfcnt.goGpDetail($(this).attr("gp").split(";"))
            })
        })
        scroll.upAction()

    }

})