var myScroll;

function loaded() {
    myScroll = new IScroll('#wrapper', {
        bounceEasing: 'elastic',
        bounceTime: 1200
    });
}

document.addEventListener('touchmove', function (e) {
    e.preventDefault();
}, false);

function onResize() {
    refresh();
}

function setTitle(pTitle) {
    var titleDiv = document.getElementById("title");
    titleDiv.innerHTML = pTitle;
    refresh();
}

function setDate(pDate) {
    var dateDiv = document.getElementById("date");
    dateDiv.innerHTML = pDate;
    refresh();
}

function setContent(pContent) {
    var contentDiv = document.getElementById("content");
    contentDiv.innerHTML = pContent;
    refresh();
    myScroll.refresh();
}

function refresh() {
    var wrapper = document.getElementById("wrapper");
    var bar = document.getElementById("bar");
    wrapper.style.top = bar.offsetHeight + "px";
}