﻿//项目属性配置(港股-公开招股)
mob_list_gkzg = {
    //表格列名
    "heads": ["名称/代码", "招股价", "上市日期", "截止申请时间"],

    //表格每一列单元格显示的字段及内容表达
    "cells": [
        { "F141": ["10px", "", "S", ""], "F140": ["", "", "", ""] },
        { "F418": ["", "", "", ""] },
        { "F5532": ["", "", "", ""] },
        { "F5531": ["", "", "", ""] }
    ],

    "hide-small": 1,

    //判断字体颜色的辅助字段名
    "aids": {
        "C": "", //比较颜色法辅助字段名，与昨收比较
        "P": "F204", //关联颜色法辅助字段名，与浮动盈亏
        "O": "F130" //关联颜色法辅助字段名，与买卖撤关联
    },
	
	//定义字体大小、字体粗细
	"font": {
        "H": ["14px", "bold"],  //表头字体大小、字体粗细
        "B": ["14px", ""],  //表格主体字体大小、字体粗细
        "N": ["14px", ""],  //单元格双行时，第一行字体大小、字体粗细
        "M": ["14px", ""],  //单元格双行时，第二行字体大小、字体粗细
        "D": ["14px", ""]   //隐藏区域字体大小、字体粗细
    },

    //表格按钮区设置(按钮图片路径、按钮功能函数名)
    "btns": [
        { "img": "../../trade/images/sg.png", "fun": "RespondSg" }
    ],

    // 宽度自适应
    "col-adapt": 1,

    //日期控件
    "date": {
        //设置控件区域
        "height": "",
        "background": "",
        "limit": 1,

        //设置输入框样式
        "input": {
            "width": "",
            "height": "",
            "background": "",
            "border-color": "",
            "font-size": "16px",
            "font-weight": "",
            "color": ""
        },

        //设置按钮样式
        "button": {
            "width": "",
            "height": "",
            "background": "rgb(90,180,240)",
            "border-color": "rgb(90,180,240)",
            "font-size": "",
            "font-weight": "",
            "color": ""
        },

        //设置文本样式
        "text": {
            "font-size": "16px",
            "font-weight": "",
            "color": ""
        },

        //设置单元布局
        "layout": [
            { "text": "起" },
            { "input": "" },
            { "text": "止" },
            { "input": "" },
            { "button": { "content": "查询", "fun": "RespondCx" } }
        ]
    },

    /*************************************************项目配置可覆盖全局配置*************************************************/
    //定义表格列属性（表格的列宽、文本对齐方式）
    // "col": [
    //         ["30%", "left"],
    //         ["12%", "right"],
    //         ["26%", "left"],
    //         ["33%", "right"]
    //     ]
    /***********************************************************************************************************************/
};