﻿//交易发送协议(港股-撤单)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //查询协议
            funcid = "1100";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F126", json["startDate"]);  //开始日期
            ix.Set("F127", json["endDate"]);    //终止日期
            break;
        case 1: //撤单协议
            funcid = "200"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F113", json["F130"]);    //操作标志
            ix.Set("F146", json["F146"]);   //委托编号
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F145", json["F145"]);   //委托价格
            ix.Set("F135", window["keypassword"]); //密码替换串
            break;
        case 2: //返回撤单表格数据筛选所需字段名(可撤单标志)
            return ["F168"]; 
        default:
            break;
    }
    return [funcid, ix];
}
