﻿//交易发送协议(港股-资金股份)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //股份数据查询
            funcid = "1114";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            break;
        case 1: //资金数据查询
            funcid = "104"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F132", "-1");   //(可选)币种(CZBZ=1时有效)
            ix.Set("F113", "0");    //操作标志
            break;
        case 2: //返回买入所需字段名(证券代码)
            return ["F140"];
        case 3: //返回买入所需字段名(证券代码)
            return ["F140"];
        case 4: //返回资金数据展示所需字段名(参考市值、资产、盈亏、币种、资金余额、冻结资金、在途资金)
            return ["F205", "F310", "F5542", "F132", "F300", "F161", "F280"];
        default:
            break;
    }
    return [funcid, ix];
}